> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Authenticated] Create an event



## OpenAPI

````yaml /openapi/tenant.json post /api/v2/community/events
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/community/events:
    post:
      tags:
        - Event
      summary: '[Authenticated] Create an event'
      operationId: CreateEvent
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Community.Event.Application.Requests.Authenticated.CreateEvent.CreateEventRequest
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Community.Event.Application.Requests.Authenticated.CreateEvent.CreateEventRequest:
      type: object
      properties:
        title:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        rawDescription:
          type: string
          nullable: true
        coverUrl:
          type: string
          nullable: true
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
          nullable: true
        durationMinutes:
          type: integer
          format: int32
          nullable: true
        isAllDay:
          type: boolean
        isOnline:
          type: boolean
        locationName:
          type: string
          nullable: true
        onlineUrl:
          type: string
          nullable: true
        latitude:
          type: number
          format: double
          nullable: true
        longitude:
          type: number
          format: double
          nullable: true
        address:
          type: string
          nullable: true
        enableRsvp:
          type: boolean
        maxAttendees:
          type: integer
          format: int32
          nullable: true
        showAttendees:
          type: boolean
        reminderMinutes:
          type: string
          nullable: true
        reminderMessage:
          type: string
          nullable: true
        publishMessage:
          type: string
          nullable: true
        status:
          $ref: >-
            #/components/schemas/Cativa.Community.Event.Domain.Enums.EEventStatus
        badgeIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        courseIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        groupIds:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
        sendPushWhenLive:
          type: boolean
        pushMessageOverride:
          type: string
          nullable: true
        showInMarquee:
          type: boolean
        mode:
          $ref: '#/components/schemas/Cativa.Community.Event.Domain.Enums.EEventMode'
        occurrences:
          type: array
          items:
            type: string
            format: date-time
          nullable: true
        dailyStartTime:
          type: string
          nullable: true
        dailyEndTime:
          type: string
          nullable: true
      additionalProperties: false
    Cativa.Community.Event.Domain.Enums.EEventStatus:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
    Cativa.Community.Event.Domain.Enums.EEventMode:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````